% Programming tests

X = bwlabel(ImLightOn(:,:,1),4);
RGB = label2rgb(X, @jet, 'k');
imshow(RGB,'notruesize')

[B,L] = bwboundaries(ImRedLight(:,:,1),'noholes');
imshow(label2rgb(L, @jet, [.5 .5 .5]))

image ( (im2bw(ImLightOn(:,:,1), graythresh(ImLightOn(:,:,1))) )


I = imread('rice.png');

BW = im2bw(ImRedLight(:,:,1), graythresh(I));

[B,L] = bwboundaries(ImRedLight,'noholes');
imshow(label2rgb(L, @jet, [.5 .5 .5]))
hold on
for k = 1:length(B)
   boundary = B{k};
   plot(boundary(:,2), boundary(:,1), 'w', 'LineWidth', 2)
end


X = bwlabel(ImRedLight(:,:,3),4);
image(X)
RGB = label2rgb(X);
imshow(RGB,'notruesize')
figure
imhist(RGB)


hist(regionprops(bwlabel(ImRedLight(:,:,3),4),'All'))
hist(bwlabel(ImRedLight(:,:,3),4))

image(im2bw (ImRedLight(:,:,1),0.99))

[Labels, Num] = bwlabeln (im2bw (ImRedLight(:,:,1),0.99),4);

[Labels, Num] = bwlabeln (ImRedLight(:,:,1));
%image(Labels)
for i=1:Num
    X(i)=i;
end
[N,Y] = hist(Labels,X);
[N,Y] = imhist(Labels,Num);

hist(N)
imhist(Labels)

